View Issue Details

IDProjectCategoryView StatusLast Update
0003166FreeCADFeaturepublic2017-09-09 02:55
ReporterEneenAssigned Totriplus 
PrioritynormalSeverityfeatureReproducibilityhave not tried
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003166: [proposal] full-screen mode
DescriptionThis is feature present in Blender, Krita and Natron. It maximizes window and hides title bar. It also covers Windows task-bar or KDE panel. I'm not sure about performance, but it frees some screen free space (panel and title bar).
TagsUI

Activities

Kunda1

2017-08-18 11:01

administrator   ~0009951

Forum thread created (as per the guidelines): https://forum.freecadweb.org/viewtopic.php?f=8&t=23948

Kunda1

2017-08-28 14:12

administrator   ~0010016

@blacey any idea how to implement this?

Eneen

2017-08-28 14:15

reporter   ~0010018

Just a thought: Krita is Qt app, maybe there is solution in their code...

Kunda1

2017-08-28 14:31

administrator   ~0010020

@Eneen please continue conversation in the thread: https://forum.freecadweb.org/viewtopic.php?f=8&t=23948

Kunda1

2017-08-28 16:10

administrator   ~0010026

https://doc.qt.io/qt-5/qwidget.html#fullScreen-prop

Kunda1

2017-09-06 12:04

administrator   ~0010074

triplus submitted fix in FreeCAD Pull Request 967

Kunda1

2017-09-08 17:58

administrator   ~0010094

Last edited: 2017-09-08 17:59

View 2 revisions

Merged in c:FreeCAD:237a880705d:
Wanted to give @triplus props but he isn't listed as a dev on mantisbt
@kkremitzki can you elevate triplus's privs ?
Closing

kkremitzki

2017-09-08 19:32

administrator   ~0010096

@Kunda1 done.

Kunda1

2017-09-09 02:55

administrator   ~0010097

Thanks! Changed ticket accordingly.
Closed for real.

Issue History

Date Modified Username Field Change
2017-08-18 10:52 Eneen New Issue
2017-08-18 11:01 Kunda1 Note Added: 0009951
2017-08-18 11:01 Kunda1 Tag Attached: UI
2017-08-28 14:12 Kunda1 Note Added: 0010016
2017-08-28 14:15 Eneen Note Added: 0010018
2017-08-28 14:31 Kunda1 Note Added: 0010020
2017-08-28 16:10 Kunda1 Note Added: 0010026
2017-09-06 12:04 Kunda1 Note Added: 0010074
2017-09-06 12:05 Kunda1 Status new => confirmed
2017-09-06 12:05 Kunda1 Target Version => 0.17
2017-09-08 17:58 Kunda1 Assigned To => wmayer
2017-09-08 17:58 Kunda1 Status confirmed => closed
2017-09-08 17:58 Kunda1 Resolution open => fixed
2017-09-08 17:58 Kunda1 Fixed in Version => 0.17
2017-09-08 17:58 Kunda1 Note Added: 0010094
2017-09-08 17:59 Kunda1 Note Edited: 0010094 View Revisions
2017-09-08 19:32 kkremitzki Note Added: 0010096
2017-09-09 02:55 Kunda1 Assigned To wmayer => triplus
2017-09-09 02:55 Kunda1 Note Added: 0010097